Bug 1267868 - ability to check duplicate of ReleaseId(GroupId,ArtifactId and Version) with existing projects
ability to check duplicate of ReleaseId(GroupId,ArtifactId and Version) with ...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
All All
medium Severity unspecified
: ER3
: 6.3.0
Assigned To: manstis
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 05:14 EDT by Hiroko Miura
Modified: 2016-07-31 21:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4786 Major Resolved ability to check duplicate of ReleaseId(GroupId,ArtifactId and Version) with existing projects 2016-08-23 05:16 EDT

  None (edit)
Description Hiroko Miura 2015-10-01 05:14:35 EDT
Description of problem:

When creating project on BC, user can specify GroupId,ArtifactId and VersionId which is exactly same with existing project. Therefore, when building such project, it can overwrite another project's kjar.

In order to avoid this, please add checking of duplication with existing projects when creating(or building?) it.
Comment 1 JBoss JIRA Server 2016-04-18 09:46:16 EDT
Michael Anstis <michael.anstis@gmail.com> updated the status of jira JBPM-4786 to Resolved
Comment 4 Zuzana Krejčová 2016-04-29 04:03:25 EDT
This is fixed (a check is implemented) in 6.3.0 version of the product.

Note You need to log in before you can comment on or make changes to this bug.